Package org.stianloader.micromixin.transform.api.supertypes

## Class ReflectionClassWrapperProvider

- java.lang.Object
- - org.stianloader.micromixin.transform.api.supertypes.ReflectionClassWrapperProvider

All Implemented Interfaces:
  `ClassWrapperProvider`

    public class ReflectionClassWrapperProvider
    extends java.lang.Object
    implements ClassWrapperProvider

### Constructor Summary

Constructors
`ReflectionClassWrapperProvider​(java.lang.ClassLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassWrapper` `provide​(java.lang.String className, ClassWrapperPool pool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectionClassWrapperProvider

    public ReflectionClassWrapperProvider​(java.lang.ClassLoader loader)

### Method Detail

#### provide

    @Nullable
    public ClassWrapper provide​(@NotNull
                                java.lang.String className,
                                @NotNull
                                ClassWrapperPool pool)

Specified by:
  `provide` in interface `ClassWrapperProvider`